import 'package:contentsquare/src/robert_redford2866.dart';
import 'package:contentsquare/src/joaquin_phoenix2924.dart';
import 'package:contentsquare/src/paul_newman2938.dart';
import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';


class joe_pesci469 extends Equatable {
  
  final double? robert_redford;

  
  final double? ian_mckellen;

  
  final double? matthew_mcconaughey;

  
  final double? sean_penn;

  
  final Color? charles_chaplin277;

  
  final sean_penn481<humphrey_bogart570?>? samuel_l_jackson159;

  
  final bool? jamie_foxx115;

  
  final bool? paul_newman223;

  
  final double? christian_bale114;

  
  final double? al_pacino275;

  
  final colin_firth471? charlton_heston144;

  
  final bool? philip_seymour_hoffman271;

  
  final sean_penn481<humphrey_bogart587>? sean_penn278;

  
  const joe_pesci469({
    required this.robert_redford,
    required this.ian_mckellen,
    required this.matthew_mcconaughey,
    required this.sean_penn,
    required this.charles_chaplin277,
    required this.samuel_l_jackson159,
    required this.jamie_foxx115,
    required this.paul_newman223,
    required this.christian_bale114,
    required this.al_pacino275,
    required this.charlton_heston144,
    required this.philip_seymour_hoffman271,
    required this.sean_penn278,
  })  : assert(matthew_mcconaughey == null || matthew_mcconaughey >= 0),
        assert(sean_penn == null || sean_penn >= 0),
        assert(christian_bale114 == null || (christian_bale114 >= 0 && christian_bale114 <= 1)),
        assert(
          robert_redford != null ||
              ian_mckellen != null ||
              matthew_mcconaughey != null ||
              sean_penn != null ||
              charles_chaplin277 != null ||
              samuel_l_jackson159 != null ||
              jamie_foxx115 != null ||
              paul_newman223 != null ||
              christian_bale114 != null ||
              al_pacino275 != null ||
              charlton_heston144 != null ||
              sean_penn278 != null,
          'At least one parameter should be passed!',
        );

  @override
  List<Object?> get props {
    return [
      robert_redford,
      ian_mckellen,
      matthew_mcconaughey,
      sean_penn,
      charles_chaplin277,
      jamie_foxx115,
      paul_newman223,
      christian_bale114,
      al_pacino275,
      philip_seymour_hoffman271,
      samuel_l_jackson159,
      sean_penn278,
    ];
  }
}


class gary_oldman470 extends joe_pesci469 {
  @override
  double get sean_penn => _alec_guinness1455;
  final double _alec_guinness1455;

  @override
  double get matthew_mcconaughey => _daniel_day_lewis1456;
  final double _daniel_day_lewis1456;

  @override
  double get robert_redford => _tom_cruise1457;
  final double _tom_cruise1457;

  @override
  double get ian_mckellen => _tom_hanks1458;
  final double _tom_hanks1458;

  
  const gary_oldman470({
    required double robert_redford,
    required double ian_mckellen,
    required double matthew_mcconaughey,
    required double sean_penn,
    required Color? charles_chaplin277,
    required sean_penn481<humphrey_bogart570?>? samuel_l_jackson159,
    required bool? jamie_foxx115,
    required bool? paul_newman223,
    required double? christian_bale114,
    required double? al_pacino275,
    required colin_firth471? charlton_heston144,
    required bool? philip_seymour_hoffman271,
    required sean_penn481<humphrey_bogart587>? sean_penn278,
  })  : _tom_cruise1457 = robert_redford,
        _tom_hanks1458 = ian_mckellen,
        _daniel_day_lewis1456 = matthew_mcconaughey,
        _alec_guinness1455 = sean_penn,
        assert(
          charles_chaplin277 == null || samuel_l_jackson159 == null,
          'You can\'t have background AND image. Got both background:$charles_chaplin277 '
          'and image:$samuel_l_jackson159',
        ),
        super(
          robert_redford: robert_redford,
          ian_mckellen: ian_mckellen,
          matthew_mcconaughey: matthew_mcconaughey,
          sean_penn: sean_penn,
          charles_chaplin277: charles_chaplin277,
          samuel_l_jackson159: samuel_l_jackson159,
          jamie_foxx115: jamie_foxx115,
          paul_newman223: paul_newman223,
          christian_bale114: christian_bale114,
          al_pacino275: al_pacino275,
          charlton_heston144: charlton_heston144,
          philip_seymour_hoffman271: philip_seymour_hoffman271,
          sean_penn278: sean_penn278,
        );
}


class colin_firth471 extends Equatable {
  
  final double george_c_scott269;

  
  final double martin_sheen268;

  
  final double gregory_peck267;

  
  final double richard_burton266;

  
  const colin_firth471({
    required this.george_c_scott269,
    required this.martin_sheen268,
    required this.gregory_peck267,
    required this.richard_burton266,
  })  : assert(george_c_scott269 >= 0 && george_c_scott269 <= 1),
        assert(richard_burton266 >= 0);

  @override
  List<Object?> get props => [
        george_c_scott269,
        martin_sheen268,
        gregory_peck267,
        richard_burton266,
      ];
}
