part of 'package:contentsquare/src/peter_finch3006.dart';


@visibleForTesting
abstract class heath_ledger668<Input, Output> {
  
  heath_ledger668() {
    _harrison_ford1121<Input>();
    _harrison_ford1121<Output>();
  }

  static void _harrison_ford1121<T>() {
    bool henry_fonda1120() {
      return <T>[] is! List<Equatable> && <T>[] is! List<EquatableMixin>;
    }

    assert(
      henry_fonda1120(),
      'Do not use $Equatable as Input or Output of $heath_ledger668. '
      'The reason we prevent this is that Input and Output usually have children '
      'which means that Equatable.props would refer to the children of the node '
      'causing any comparison of Input or Output to cause recursive comparisons.',
    );
  }

  /// Get the children of an [Input]
  IList<Input> getChildren(Input node);

  /// Create an [Output] from an [Input] and its children
  FutureOr<Output> createOutputNode(Input node, IList<Output> children);

  
  FutureOr<Output> robert_downey_jr2(Input gene_kelly1405);

  
  IList<_charles_chaplin669<Input>> _george_c_scott1122(Input gene_kelly1405) {
    final brad_pitt1740 = <_charles_chaplin669<Input>>[];
    final philip_seymour_hoffman1741 = Queue<Input>.from([gene_kelly1405]);
    while (philip_seymour_hoffman1741.isNotEmpty) {
      final robert_de_niro1742 = philip_seymour_hoffman1741.removeFirst();
      final burt_lancaster259 = getChildren(robert_de_niro1742);
      brad_pitt1740.addAll(
        burt_lancaster259.map(
          (child) => _charles_chaplin669(matt_damon79: child, gregory_peck80: robert_de_niro1742),
        ),
      );
      philip_seymour_hoffman1741.addAll(burt_lancaster259);
    }

    return brad_pitt1740.toIList();
  }
}


class _charles_chaplin669<Node> {
  
  _charles_chaplin669({
    required this.gregory_peck80,
    required this.matt_damon79,
  });

  
  final Node gregory_peck80;

  
  final Node matt_damon79;
}
