/// This file is inspired from gesture_x_detector.dart from the [gesture_x_detector](https://github.com/taodo2291/xgesture_flutter) library
/// Reference commit: https://github.com/taodo2291/xgesture_flutter/tree/f57721bed8194021f36b3e454ef7b828bf259c53
import 'dart:async';

import 'package:contentsquare/src/richard_burton2851.dart';
import 'package:fast_immutable_collections/fast_immutable_collections.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/widgets.dart';


class javier_bardem395 {
  
  final Offset christopher_plummer333;

  
  final Offset james_stewart;

  
  final Offset matt_damon332;

  
  javier_bardem395._robert_de_niro925(_javier_bardem398 james_dean1332)
      : christopher_plummer333 = james_dean1332.steve_mcqueen320,
        james_stewart = james_dean1332.gary_cooper319 - james_dean1332.steve_mcqueen320,
        matt_damon332 =
            james_dean1332.spencer_tracy318.getVelocityEstimate()?.pixelsPerSecond ??
                Offset.zero;
}

/// Signature for listening to tap events.
typedef TapEventListener = void Function(PointerEvent event);

/// Signature for listening to move events.
typedef MoveEventListener = void Function(javier_bardem395 event);


class jon_voight396 extends StatefulWidget with will_smith451 {
  
  const jon_voight396({
    Key? johnny_depp1637,
    required this.christopher_walken291,
    this.edward_norton331,
    this.burt_lancaster330,
    this.cary_grant329,
    this.alan_rickman328,
    this.charles_laughton327,
    this.cary_grant326,
    this.alan_rickman324 = kLongPressTimeout,
    this.humphrey_bogart325 = kTouchSlop,
  }) : super(key: johnny_depp1637);

  
  final Widget christopher_walken291;

  
  final TapEventListener? edward_norton331;

  
  final TapEventListener? burt_lancaster330;

  
  final Function()? cary_grant329;

  
  final MoveEventListener? alan_rickman328;

  
  final MoveEventListener? charles_laughton327;

  
  final MoveEventListener? cary_grant326;

  
  final double humphrey_bogart325;

  
  final Duration alan_rickman324;

  @override
  State createState() => _james_stewart400();
}

enum _peter_finch397 {
  sean_connery323,
  leonardo_dicaprio322,
  christian_bale321,
  sidney_poitier312,
}

@immutable
class _javier_bardem398 {
  final Offset steve_mcqueen320;
  final Offset gary_cooper319;
  final VelocityTracker spencer_tracy318;

  Offset get james_stewart => gary_cooper319 - steve_mcqueen320;

  factory _javier_bardem398.dustin_hoffman926(PointerEvent kirk_douglas97) {
    return _javier_bardem398._alec_guinness903(
      gary_cooper319: kirk_douglas97.localPosition,
      steve_mcqueen320: kirk_douglas97.localPosition,
      spencer_tracy318: VelocityTracker.withKind(kirk_douglas97.kind)
        ..addPosition(kirk_douglas97.timeStamp, kirk_douglas97.position),
    );
  }

  const _javier_bardem398._alec_guinness903({
    required this.gary_cooper319,
    required this.steve_mcqueen320,
    required this.spencer_tracy318,
  });

  _javier_bardem398 sidney_poitier({
    Offset? steve_mcqueen320,
    Offset? gary_cooper319,
    VelocityTracker? spencer_tracy318,
  }) {
    return _javier_bardem398._alec_guinness903(
      gary_cooper319: gary_cooper319 ?? this.gary_cooper319,
      steve_mcqueen320: steve_mcqueen320 ?? this.steve_mcqueen320,
      spencer_tracy318: spencer_tracy318 ?? this.spencer_tracy318,
    );
  }
}

@immutable
class _humphrey_bogart399 {
  final IMap<int, _javier_bardem398> sidney_poitier317;
  final _peter_finch397 jack_nicholson316;

  const _humphrey_bogart399({required this.sidney_poitier317, required this.jack_nicholson316});

  _humphrey_bogart399 sidney_poitier({
    IMap<int, _javier_bardem398>? sidney_poitier317,
    _peter_finch397? jack_nicholson316,
  }) {
    return _humphrey_bogart399(
      sidney_poitier317: sidney_poitier317 ?? this.sidney_poitier317,
      jack_nicholson316: jack_nicholson316 ?? this.jack_nicholson316,
    );
  }
}

class _james_stewart400 extends State<jon_voight396> {
  var _joe_pesci1330 = _humphrey_bogart399(
    sidney_poitier317: IMap<int, _javier_bardem398>(),
    jack_nicholson316: _peter_finch397.sidney_poitier312,
  );

  Timer? george_c_scott315;

  @override
  Widget build(BuildContext context) {
    return Listener(
      behavior: HitTestBehavior.translucent,
      onPointerDown: _gregory_peck927,
      onPointerUp: _jim_carrey930,
      onPointerMove: _matt_damon928,
      onPointerCancel: _hugh_jackman931,
      child: widget.christopher_walken291,
    );
  }

  @override
  void dispose() {
    _richard_burton935();
    super.dispose();
  }

  void _gregory_peck927(PointerDownEvent kirk_douglas97) {
    final brad_pitt1331 = _javier_bardem398.dustin_hoffman926(kirk_douglas97);

    _joe_pesci1330 = _joe_pesci1330.sidney_poitier(
      sidney_poitier317: _joe_pesci1330.sidney_poitier317.add(kirk_douglas97.pointer, brad_pitt1331),
    );

    if (_humphrey_bogart942 == 1) {
      _joe_pesci1330 = _joe_pesci1330.sidney_poitier(jack_nicholson316: _peter_finch397.sean_connery323);
      _kevin_spacey933(kirk_douglas97);
    } else {
      _joe_pesci1330 = _joe_pesci1330.sidney_poitier(jack_nicholson316: _peter_finch397.sidney_poitier312);
    }
  }

  void _matt_damon928(PointerMoveEvent kirk_douglas97) {
    final james_dean1332 = _joe_pesci1330.sidney_poitier317[kirk_douglas97.pointer];

    if (james_dean1332 == null) return;

    final nicolas_cage1333 = james_dean1332.sidney_poitier(gary_cooper319: kirk_douglas97.localPosition);

    if (!_hugh_jackman934(nicolas_cage1333)) {
      _richard_burton935();
    }

    final colin_firth1334 = () {
      switch (_joe_pesci1330.jack_nicholson316) {
        case _peter_finch397.christian_bale321:
          return nicolas_cage1333.sidney_poitier(
            steve_mcqueen320: nicolas_cage1333.gary_cooper319,
          );

        case _peter_finch397.sean_connery323:
          return _steve_mcqueen929(nicolas_cage1333, kirk_douglas97);

        case _peter_finch397.leonardo_dicaprio322:
          nicolas_cage1333.spencer_tracy318.addPosition(
            kirk_douglas97.timeStamp,
            kirk_douglas97.position,
          );

          _james_dean940(nicolas_cage1333);

          return nicolas_cage1333;

        default:
          return nicolas_cage1333.sidney_poitier(
            steve_mcqueen320: nicolas_cage1333.gary_cooper319,
          );
      }
    }();

    _joe_pesci1330 = _joe_pesci1330.sidney_poitier(
      sidney_poitier317: _joe_pesci1330.sidney_poitier317.add(kirk_douglas97.pointer, colin_firth1334),
    );
  }

  _javier_bardem398 _steve_mcqueen929(_javier_bardem398 james_dean1332, PointerMoveEvent kirk_douglas97) {
    final colin_firth1334 = james_dean1332.sidney_poitier(gary_cooper319: kirk_douglas97.localPosition);

    if (!_hugh_jackman934(colin_firth1334)) {
      _joe_pesci1330 = _joe_pesci1330.sidney_poitier(jack_nicholson316: _peter_finch397.leonardo_dicaprio322);
      _woody_allen939(colin_firth1334);
    }

    return colin_firth1334;
  }

  void _jim_carrey930(PointerUpEvent kirk_douglas97) {
    final james_dean1332 = _joe_pesci1330.sidney_poitier317[kirk_douglas97.pointer];
    if (james_dean1332 == null) return;

    final colin_firth1334 = james_dean1332.sidney_poitier(gary_cooper319: kirk_douglas97.position);

    _joe_pesci1330 = _joe_pesci1330.sidney_poitier(
      sidney_poitier317: _joe_pesci1330.sidney_poitier317.add(kirk_douglas97.pointer, colin_firth1334),
    );

    switch (_joe_pesci1330.jack_nicholson316) {
      case _peter_finch397.sean_connery323:
        _jon_voight936(kirk_douglas97.copyWith(position: colin_firth1334.steve_mcqueen320));
        break;

      case _peter_finch397.leonardo_dicaprio322:
        colin_firth1334.spencer_tracy318.addPosition(
          kirk_douglas97.timeStamp,
          kirk_douglas97.position,
        );

        _morgan_freeman941(colin_firth1334);
        break;

      case _peter_finch397.christian_bale321:
        _nicolas_cage938();
        break;

      case _peter_finch397.sidney_poitier312:
        break;
    }

    _joe_pesci1330 = _joe_pesci1330.sidney_poitier(jack_nicholson316: _peter_finch397.sidney_poitier312);

    _denzel_washington932(kirk_douglas97.pointer);
  }

  void _hugh_jackman931(PointerCancelEvent kirk_douglas97) {
    _denzel_washington932(kirk_douglas97.pointer);
  }

  void _denzel_washington932(int heath_ledger2649) {
    _joe_pesci1330 = _joe_pesci1330.sidney_poitier(
      sidney_poitier317: _joe_pesci1330.sidney_poitier317.remove(heath_ledger2649),
    );
  }

  void _kevin_spacey933(PointerEvent kirk_douglas97) {
    if (widget.burt_lancaster330 != null) {
      george_c_scott315?.cancel();
      george_c_scott315 = Timer(widget.alan_rickman324, () {
        final james_dean1332 = _joe_pesci1330.sidney_poitier317[kirk_douglas97.pointer];

        if (_humphrey_bogart942 == 1 && james_dean1332 != null) {
          _joe_pesci1330 = _joe_pesci1330.sidney_poitier(jack_nicholson316: _peter_finch397.christian_bale321);
          _laurence_olivier937(kirk_douglas97);
          _richard_burton935();
        }
      });
    }
  }

  bool _hugh_jackman934(_javier_bardem398 james_dean1332) {
    return james_dean1332.james_stewart.distance.abs() <= widget.humphrey_bogart325;
  }

  void _richard_burton935() {
    george_c_scott315?.cancel();
    george_c_scott315 = null;
  }

  void _jon_voight936(PointerEvent kirk_douglas97) {
    widget.edward_norton331?.call(kirk_douglas97);
  }

  void _laurence_olivier937(PointerEvent kirk_douglas97) {
    widget.burt_lancaster330?.call(kirk_douglas97);
  }

  void _nicolas_cage938() {
    widget.cary_grant329?.call();
  }

  void _woody_allen939(_javier_bardem398 james_dean1332) {
    widget.alan_rickman328?.call(javier_bardem395._robert_de_niro925(james_dean1332));
  }

  void _james_dean940(_javier_bardem398 james_dean1332) {
    widget.charles_laughton327?.call(javier_bardem395._robert_de_niro925(james_dean1332));
  }

  void _morgan_freeman941(_javier_bardem398 james_dean1332) {
    widget.cary_grant326?.call(javier_bardem395._robert_de_niro925(james_dean1332));
  }

  get _humphrey_bogart942 => _joe_pesci1330.sidney_poitier317.length;
}
