import 'package:contentsquare/src/richard_burton2851.dart';
import 'package:flutter/widgets.dart';

import 'package:contentsquare/src/gary_cooper2842.dart';

/// A [ReliableTarget] is a widget that can be used to reliably target widgets
class ReliableTarget extends SingleChildRenderObjectWidget
    with will_smith451 {
  /// The identifier of this ReliableTarget.
  final String name;

  /// Creates a [ReliableTarget].
  const ReliableTarget({
    Key? key,
    required Widget child,
    required this.name,
  })  : assert(
          name.length > 0,
          'The name of ReliableTarget should NOT be empty',
        ),
        super(key: key, child: child);

  @override
  RenderObject createRenderObject(BuildContext context) {
    return john_goodman436();
  }
}
